## scons-doc 1.2.0.d20100117

=== SConstruct ===
#
# SConstruct file to build scons packages during development.
#
# See the README file for an overview of how SCons is built and tested.
#

# When this gets changed, you must also change the copyright_years string
# in QMTest/TestSCons.py so the test scripts look for the right string.
copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010'

# This gets inserted into the man pages to reflect the month of release.
month_year = 'January 2010'

#
# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 The SCons Foundation
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
# KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

import distutils.util
import fnmatch
import os
import os.path
import re
import stat
import string
import sys
import tempfile

project = 'scons'
default_version = '1.2.0'
copyright = "Copyright (c) %s The SCons Foundation" % copyright_years

platform = distutils.util.get_platform()

SConsignFile()

#
# An internal "whereis" routine to figure out if a given program
# is available on this system.
#
def whereis(file):
    exts = ['']
    if platform == "win32":
        exts += ['.exe']
    for dir in string.split(os.environ['PATH'], os.pathsep):
        f = os.path.join(dir, file)
        for ext in exts:
            f_ext = f + ext
            if os.path.isfile(f_ext):
                try:
                    st = os.stat(f_ext)
                except:
                    continue
                if stat.S_IMODE(st[stat.ST_MODE]) & 0111:
                    return f_ext
    return None

#
# We let the presence or absence of various utilities determine whether
# or not we bother to build certain pieces of things.  This should allow
# people to still do SCons packaging work even if they don't have all
# of the utilities installed (e.g. RPM).
#
dh_builddeb = whereis('dh_builddeb')
fakeroot = whereis('fakeroot')
gzip = whereis('gzip')
rpmbuild = whereis('rpmbuild') or whereis('rpm')
hg = os.path.exists('.hg') and whereis('hg')
svn = os.path.exists('.svn') and whereis('svn')
unzip = whereis('unzip')
zip = whereis('zip')

#
# Now grab the information that we "build" into the files.
#
date = ARGUMENTS.get('DATE')
if not date:
    import time
    date = time.strftime("%Y/%m/%d %H:%M:%S", time.localtime(time.time()))

developer = ARGUMENTS.get('DEVELOPER')
if not developer:
    for variable in ['USERNAME', 'LOGNAME', 'USER']:
        developer = os.environ.get(variable)
        if developer:
            break

build_system = ARGUMENTS.get('BUILD_SYSTEM')
if not build_system:
    import socket
    build_system = string.split(socket.gethostname(), '.')[0]

version = ARGUMENTS.get('VERSION', '')
if not version:
    version = default_version

hg_status_lines = []
svn_status_lines = []

if hg:
    cmd = "%s status --all 2> /dev/null" % hg
    hg_status_lines = os.popen(cmd, "r").readlines()

if svn:
    cmd = "%s status --verbose 2> /dev/null" % svn
    svn_status_lines = os.popen(cmd, "r").readlines()

revision = ARGUMENTS.get('REVISION', '')
def generate_build_id(revision):
    return revision

if not revision and hg:
    hg_heads = os.popen("%s heads 2> /dev/null" % hg, "r").read()
    cs = re.search('changeset:\s+(\S+)', hg_heads)
    if cs:
        revision = cs.group(1)
        b = re.search('branch:\s+(\S+)', hg_heads)
        if b:
            revision = b.group(1) + ':' + revision
        def generate_build_id(revision):
            result = revision
            if filter(lambda l: l[0] in 'AMR!', hg_status_lines):
                result = result + '[MODIFIED]'
            return result

if not revision and svn:
    svn_info = os.popen("%s info 2> /dev/null" % svn, "r").read()
    m = re.search('Revision: (\d+)', svn_info)
    if m:
        revision = m.group(1)
        def generate_build_id(revision):
            result = 'r' + revision
            if filter(lambda l: l[0] in 'ACDMR', svn_status_lines):
                result = result + '[MODIFIED]'
            return result

checkpoint = ARGUMENTS.get('CHECKPOINT', '')
if checkpoint:
    if checkpoint == 'd':
        import time
        checkpoint = time.strftime('d%Y%m%d', time.localtime(time.time()))
    elif checkpoint == 'r':
        checkpoint = 'r' + revision
    version = version + '.' + checkpoint

build_id = ARGUMENTS.get('BUILD_ID')
if build_id is None:
    if revision:
        build_id = generate_build_id(revision)
    else:
        build_id = ''

python_ver = sys.version[0:3]

# Re-exporting LD_LIBRARY_PATH is necessary if the Python version was
# built with the --enable-shared option.

ENV = { 'PATH' : os.environ['PATH'] }
for key in ['LOGNAME', 'PYTHONPATH', 'LD_LIBRARY_PATH']:
    if os.environ.has_key(key):
        ENV[key] = os.environ[key]

build_dir = ARGUMENTS.get('BUILDDIR', 'build')
if not os.path.isabs(build_dir):
    build_dir = os.path.normpath(os.path.join(os.getcwd(), build_dir))

command_line_variables = [
    ("BUILDDIR=",       "The directory in which to build the packages.  " +
                        "The default is the './build' subdirectory."),

    ("BUILD_ID=",       "An identifier for the specific build." +
                        "The default is the Subversion revision number."),

    ("BUILD_SYSTEM=",   "The system on which the packages were built.  " +
                        "The default is whatever hostname is returned " +
                        "by socket.gethostname()."),

    ("CHECKPOINT=",     "The specific checkpoint release being packaged, " +
                        "which will be appended to the VERSION string.  " +
                        "A value of CHECKPOINT=d will generate a string " +
                        "of 'd' plus today's date in the format YYYMMDD.  " +
                        "A value of CHECKPOINT=r will generate a " +
                        "string of 'r' plus the Subversion revision " +
                        "number.  Any other CHECKPOINT= string will be " +
                        "used as is.  There is no default value."),

    ("DATE=",           "The date string representing when the packaging " +
                        "build occurred.  The default is the day and time " +
                        "the SConstruct file was invoked, in the format " +
                        "YYYY/MM/DD HH:MM:SS."),

    ("DEVELOPER=",      "The developer who created the packages.  " +
                        "The default is the first set environment " +
                        "variable from the list $USERNAME, $LOGNAME, $USER."),

    ("REVISION=",       "The revision number of the source being built.  " +
                        "The default is the Subversion revision returned " +
                        "'svn info', with an appended string of " +
                        "'[MODIFIED]' if there are any changes in the " +
                        "working copy."),

    ("VERSION=",        "The SCons version being packaged.  The default " +
                        "is the hard-coded value '%s' " % default_version +
                        "from this SConstruct file."),
]

Default('.', build_dir)

packaging_flavors = [
    ('deb',             "A .deb package.  (This is currently not supported.)"),

    ('rpm',             "A RedHat Package Manager file."),

    ('tar-gz',          "The normal .tar.gz file for end-user installation."),

    ('src-tar-gz',      "A .tar.gz file containing all the source " +
                        "(including tests and documentation)."),

    ('local-tar-gz',    "A .tar.gz file for dropping into other software " +
                        "for local use."),

    ('zip',             "The normal .zip file for end-user installation."),

    ('src-zip',         "A .zip file containing all the source " +
                        "(including tests and documentation)."),

    ('local-zip',       "A .zip file for dropping into other software " +
                        "for local use."),
]

test_deb_dir          = os.path.join(build_dir, "test-deb")
test_rpm_dir          = os.path.join(build_dir, "test-rpm")
test_tar_gz_dir       = os.path.join(build_dir, "test-tar-gz")
test_src_tar_gz_dir   = os.path.join(build_dir, "test-src-tar-gz")
test_local_tar_gz_dir = os.path.join(build_dir, "test-local-tar-gz")
test_zip_dir          = os.path.join(build_dir, "test-zip")
test_src_zip_dir      = os.path.join(build_dir, "test-src-zip")
test_local_zip_dir    = os.path.join(build_dir, "test-local-zip")

unpack_tar_gz_dir     = os.path.join(build_dir, "unpack-tar-gz")
unpack_zip_dir        = os.path.join(build_dir, "unpack-zip")

if platform == "win32":
    tar_hflag = ''
    python_project_subinst_dir = os.path.join("Lib", "site-packages", project)
    project_script_subinst_dir = 'Scripts'
else:
    tar_hflag = 'h'
    python_project_subinst_dir = os.path.join("lib", project)
    project_script_subinst_dir = 'bin'



import textwrap

indent_fmt = '  %-26s  '

Help("""\
The following aliases build packages of various types, and unpack the
contents into build/test-$PACKAGE subdirectories, which can be used by the
runtest.py -p option to run tests against what's been actually packaged:

""")

aliases = packaging_flavors + [('doc', 'The SCons documentation.')]
aliases.sort()

for alias, help_text in aliases:
    tw = textwrap.TextWrapper(
        width = 78,
        initial_indent = indent_fmt % alias,
        subsequent_indent = indent_fmt % '' + '  ',
    )
    Help(tw.fill(help_text) + '\n')

Help("""
The following command-line variables can be set:

""")

for variable, help_text in command_line_variables:
    tw = textwrap.TextWrapper(
        width = 78,
        initial_indent = indent_fmt % variable,
        subsequent_indent = indent_fmt % '' + '  ',
    )
    Help(tw.fill(help_text) + '\n')



zcat = 'gzip -d -c'

#
# Figure out if we can handle .zip files.
#
zipit = None
unzipit = None
try:
    import zipfile

    def zipit(env, target, source):
        print "Zipping %s:" % str(target[0])
        def visit(arg, dirname, names):
            for name in names:
                path = os.path.join(dirname, name)
                if os.path.isfile(path):
                    arg.write(path)
        zf = zipfile.ZipFile(str(target[0]), 'w')
        olddir = os.getcwd()
        os.chdir(env['CD'])
        try: os.path.walk(env['PSV'], visit, zf)
        finally: os.chdir(olddir)
        zf.close()

    def unzipit(env, target, source):
        print "Unzipping %s:" % str(source[0])
        zf = zipfile.ZipFile(str(source[0]), 'r')
        for name in zf.namelist():
            dest = os.path.join(env['UNPACK_ZIP_DIR'], name)
            dir = os.path.dirname(dest)
            try:
                os.makedirs(dir)
            except:
                pass
            print dest,name
            # if the file exists, then delete it before writing
            # to it so that we don't end up trying to write to a symlink:
            if os.path.isfile(dest) or os.path.islink(dest):
                os.unlink(dest)
            if not os.path.isdir(dest):
