=== debian/changelog ===
scons-doc (1.2.0.d20100117-1) unstable; urgency=low

  * New upstream checkpoint release
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jan 2010 15:25:58 +0100

scons-doc (1.2.0.d20091224-1) unstable; urgency=low

  * New upstream checkpoint release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Dec 2009 13:24:52 +0100

scons-doc (1.2.0.d20090919-1) unstable; urgency=low

  * New upstream checkpoint release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 05 Dec 2009 17:41:49 +0100

scons-doc (1.2.0.d20090905-3) unstable; urgency=low

  * debian/patches/no_remote_dtd.patch:
    - Do not fetch DTD from WWW, use local one instead (Closes: #549824).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 05 Oct 2009 23:14:53 +0200

scons-doc (1.2.0.d20090905-2) unstable; urgency=low

  * Do not install scons-reference, it is completely empty and useless.
    Wait for upstream to complete it (Closes: #549111).
  * Do not install man pages, they are installed with scons package.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 Oct 2009 23:25:05 +0200

scons-doc (1.2.0.d20090905-1) unstable; urgency=low

  * New upstream checkpoint release.
  * Also provide PDF and PostScript files.
  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Update copyright informations.
  * Switch to debhelper 7.
  * Add doc-base file.
  * Add Vcs-* fields to document where scons-doc debianisation is stored.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 Sep 2009 20:56:23 +0200

scons-doc (1.2.0-2) unstable; urgency=low

  * Update Standards-Version to 3.8.1, no changes required.
  * Add watch file.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 04 Apr 2009 00:21:40 +0200

scons-doc (1.2.0-1) experimental; urgency=low

  * Initial release (Closes: #263237).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Dec 2008 11:33:28 +0100
