=== debian/changelog ===
scons-doc (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Look for 2.0 branch.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 15 Jun 2010 16:31:02 +0200

scons-doc (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 25 Mar 2010 20:54:30 +0100

scons-doc (1.2.0.d20100306-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 10 Mar 2010 14:19:03 +0100
