## scons-doc 2.0.1

=== SConstruct ===
--- 
+++ 
@@ -8,7 +8,7 @@
 copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'June 2010'
+month_year = 'August 2010'
 
 #
 # Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 The SCons Foundation
@@ -43,7 +43,7 @@
 import tempfile
 
 project = 'scons'
-default_version = '2.0.0.final.0'
+default_version = '2.0.1'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()
