=== debian/changelog ===
scons-doc (2.0.1-1ubuntu1) oneiric; urgency=low

  * debian/patches/unicode.patch:
    - Make sure input variable is unicode (LP: #756122).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 25 May 2011 20:10:06 +0000

scons-doc (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/copyright:
    - Adjust copyright years.
  * debian/watch:
    - Adjust to ignore development versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 10 Feb 2011 23:21:48 +0100
