=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.0.0)
+Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.0.1)
 Build-Depends-Indep: docbook-utils, jade
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons-doc.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons-doc.git;a=summary
@@ -13,7 +13,7 @@
 Package: scons-doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: scons (>= 2.0.0)
+Suggests: scons (>= 2.0.1)
 Description: Documentation for SCons, a replacement for Make
  SCons is a make replacement providing a range of enhanced features such
  as automated dependency generation and built in compilation cache
