=== debian/changelog ===
scons-doc (2.1.0-2) unstable; urgency=low

  * debian/patches/unicode.patch:
    - Make sure input variable is unicode.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 18 Oct 2011 21:30:36 +0200

scons-doc (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Sep 2011 11:31:08 +0200
