=== debian/changelog ===
scons-doc (2.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/no_remote_dtd.patch:
    - Removed, no longer needed.
  * debian/patches/unicode.patch:
    - Removed, applied upstream.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Add docbook-xml to Build-Depends-Indep field.
    - Bump Standards-Version to 3.9.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 20 Aug 2012 23:50:21 +0200
