## scons-doc 2.3.0

=== SConstruct ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #
 # SConstruct file to build scons packages during development.
 #
-# See the README file for an overview of how SCons is built and tested.
+# See the README.rst file for an overview of how SCons is built and tested.
 
 # When this gets changed, you must also change the copyright_years string
 # in QMTest/TestSCons.py so the test scripts look for the right string.
-copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012'
+copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'August 2012'
-
-#
-# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012 The SCons Foundation
+month_year = 'March 2013'
+
+#
+# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 The SCons Foundation
 #
 # Permission is hereby granted, free of charge, to any person obtaining
 # a copy of this software and associated documentation files (the
@@ -43,7 +43,7 @@
 import tempfile
 
 project = 'scons'
-default_version = '2.2.0'
+default_version = '2.3.0'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()
