=== debian/changelog ===
scons-doc (2.3.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 11:50:40 +0200

scons-doc (2.3.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 11 Mar 2013 22:35:26 +0100
