=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')

%:
	dh $@

override_dh_auto_clean:
	scons -c
	rm -fr build

override_dh_auto_install:
	scons doc
	rm -r $(CURDIR)/build/doc/HTML/scons-reference*
	find $(CURDIR)/build/doc -name "*scons-reference*" -delete
	find $(CURDIR)/build/doc -name "*-man*" -delete

get-orig-source:
	wget http://downloads.sourceforge.net/project/scons/scons-src/${VERSION}/scons-src-${VERSION}.tar.gz -O ../scons-src-${VERSION}.tar.gz
	tar fxz ../scons-src-${VERSION}.tar.gz -C ../ && mv ../scons-src-${VERSION} ../scons-doc-${VERSION}
	tar czf ../scons-doc_${VERSION}.orig.tar.gz ../scons-doc-${VERSION}/bin ../scons-doc-${VERSION}/config \
		../scons-doc-${VERSION}/doc  ../scons-doc-${VERSION}/LICENSE ../scons-doc-${VERSION}/SConstruct ../scons-doc-${VERSION}/src
	rm -fr ../scons-doc-${VERSION} ../scons-src-${VERSION}.tar.gz
